@font-face {
  font-family: 'pixel-digivolve-cyrillic';
  src: url('pixel-digivolve-cyrillic.otf');
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
}

html {
  --color-background: #171717;
  --color-link: #b2a4d4;
  --color-text: #ebe7f3;
}

body {
  font-family:
    system-ui, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji',
    'Segoe UI Symbol';
  font-size: 17px;
  font-weight: 400;
  line-height: 1.7;
  color: var(--color-text);
  background-color: var(--color-background);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.pixel-digivolve-cyrillic {
  font-family: 'pixel-digivolve-cyrillic', sans-serif;
}

.content-limiter {
  box-sizing: border-box;
  width: 100%;
  max-width: 800px;
  margin-right: auto;
  margin-left: auto;
}

.logo {
  display: inline-block;
  vertical-align: top;
}

.link {
  border-bottom: 1px solid var(--color-link);
  border-radius: 4px;
  color: var(--color-link);
  text-decoration: none;
  transition:
    background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;

  &:hover {
    color: var(--color-background);
    background-color: var(--color-link);
  }
}

.text-align-center {
  text-align: center;
}

.divider {
  height: 1px;
  border: 0;
  background-color: var(--color-text);
}

.muted {
  opacity: 0.5;
}

.folder {
  position: relative;
  margin-top: 20px;
  border: 2px solid var(--color-link);
  border-radius: 16px;
  color: var(--color-link);
  background-color: var(--color-link);
  transition:
    background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;

  &::before {
    content: '';
    position: absolute;
    top: -22px;
    left: -2px;
    z-index: -1;
    width: 100px;
    height: 50px;
    border-radius: 16px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background: linear-gradient(var(--color-link), var(--color-background));
  }

  &:hover,
  &:has(.link:focus-visible) {
    color: var(--color-text);
    background-color: var(--color-background);
  }

  @media (hover: none) and (pointer: coarse) {
    color: var(--color-text);
    background-color: var(--color-background);
  }
}

.grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px;
}

.space-x-4 {
  padding-inline: 4px;
}

.space-x-24 {
  padding-inline: 24px;
}

.space-y-32 {
  padding-block: 32px;
}

.space-top-8 {
  padding-top: 8px;
}

.space-top-16 {
  padding-top: 16px;
}

.space-top-32 {
  padding-top: 32px;
}

.space-top-40 {
  padding-top: 40px;
}

.space-left-32 {
  padding-left: 32px;
}

.space-bottom-24 {
  padding-bottom: 24px;
}

@media (width >= 777px) {
  .space-x-32-desktop {
    padding-inline: 32px;
  }
}

@media (width < 777px) {
  .grid {
    grid-template-columns: 1fr;
  }

  .space-x-16-mobile {
    padding-inline: 16px;
  }
}
